=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                qt6-base-dev (>= 6.7.0~),
                xauth,
                xvfb,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/libkdepim
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkdepim
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkdepim.git
